%
%   This function transforms the interpolation data for the
%    multiple Nevanlinna-Pick interpolation problem subjected
%    to the bilinear transformation
%
%               af(z) + b                      b - dg(z)
%       g(z) = -----------     <-->    f(z) = ----------- 
%               cf(z) + d                      cg(z) - a
%
%   Input:  rangetrans  -  Transformation parameters
%           interdata   -  Interpolation point for f
%
%   Output: interdata   -  Interpolation data for g
%
function interdatanew = BilinearRangeData(rangetrans,interdata)

for k = 1:interdata.ntilde
    W{k} = BilinearRangeDataLow(rangetrans.a,rangetrans.b, ...
        rangetrans.c,rangetrans.d,interdata.W{k});
end

interdatanew = GetInterData(interdata.z,W,...
    interdata.speczeros,interdata.maxdistancesp);