%
%   This fucntion determines the mu vector given the psi vector
%
%   Input: psi - [ psi0 psi1 ... psin ]
%          tau - [ tau0 tau1 ... taun ]
%
%       where psi = psi0 + psi1 (z+z^-1) + ...
%             tau = tau0 + tau1 (z+z^-1) + ... + taun (z^z+z^-n)
%
%   Output: muvec - [ mu0 mu1 ... mun ]'
%
%       where mu = mu0 + mu1 (z+z^-1) + ...
%
function muvec = Psi2Mu(psi,tau)

L = toeplitz(tau,[tau(1) zeros(1,length(tau)-1)]);
Ttau = hankel(tau) + L';

psi(1) = psi(1) / 2;

muvec = Ttau * L * psi(:);