%
%   This function reorders between the operator matrices T to V
%
%      T = d/dRR' (*) d/dRR  -->  
%          
%            d^2/(dVec RR')^2 = V
%
%    where RR = [ R0 R1 ... Rn ]
%          R(z) = R0 + R1 z + ...
%
%              [ d/dR0'(*)d/dR0 ... d/dR0'(*)d/dRn ]
%   Input: T = [        :                  :       ]
%              [ d/dRn'(*)d/dR0 ... d/dRn'(*)d/dRn ]
%
%   Output: T = d/d(Vec RR') (*) d/(d(Vec RR'))'
%
function T = ReOrder2(T,n,m)

nmm = size(T,1);

T = reshape(permute(reshape(T,nmm,m,m,n),[ 2 4 1 3 ]),nmm,nmm);
