%
%   This function removes each statespace coefficient that is 
%    smaller than the given tolerance
%
%   Input: sys - given ltisys on state-space form
%          tol - given tolerance
%
%   Output: sys - new ltisys on state-space form
%
function sys = RemoveSmall(sys,tol)

n = size(sys.a,1);
abcd = [ sys.a sys.b;sys.c sys.d];

for k = 1:length(abcd)
    for l = 1:length(abcd)
        if abs(abcd(k,l)) < tol
            abcd(k,l) = 0;
        end
    end
end

sys.a = abcd(1:n,1:n);
sys.b = abcd(1:n,n+1:end);
sys.c = abcd(n+1:end,1:n);
sys.d = abcd(n+1:end,n+1:end);