function [A,Ba,C,Da]=SpecFactorization(A,B,C,D,left)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%% Spectral factorization of F  %%%
%%%                              %%%
%%% nargin==4 or left==1         %%%
%%% F(z)+F^\ast(z)=S(z)S^\ast(z) %%%
%%% F=[A | B]   S=[A | Ba]       %%%
%%%   [-----]     [------]       %%%
%%%   [C | D]     [C | Da]       %%%
%%%                              %%%
%%% nargin~=4 and left~=1        %%%
%%% F(z)+F^\ast(z)=S^\ast(z)S(z) %%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

if nargin~=4,
  if left~=1,
    A=A';B0=B;B=C';C=B0';D=D';
  end
end

[P,L,G,RR]=dare(A',C',zeros(size(A)),-(D+D'),-B);
Da=sqrtm(D+D'-C*P*C');
Ba=(B-A*P*C')/Da;

if nargin~=4,
  if left~=1,
    A=A';B0=Ba;Ba=C';C=B0';Da=Da';
  end
end
