%
%   This function transforms a system relativ to the singular 
%    value decomposition:
%
%       F(z) = U*G(z)*V
%
%       input - interpolant - G(z) = D + C*(zI-A)^-1*B
%               symtrans.U
%               symtrans.V
%
%       output - interpolant - F(z)
%
function interpolant = SvdFlip(interpolant,symtrans)

interpolant.B = interpolant.B * symtrans.V';
interpolant.C = symtrans.U * interpolant.C;
interpolant.D = symtrans.U * interpolant.D * symtrans.V';